This discussion is archived
6 Replies Latest reply: Nov 14, 2013 1:36 PM by Pascal Kreyer - Oracle RSS

Problems with LDOMs in Solaris 11

69768d81-19e9-4597-ad17-b29f5c618a87 Newbie
Currently Being Moderated

I got a new T5-2 server, installed Solaris 11 and was going to configure LDOMs. However "ldmd" can't be started and in turn ldm doesn't work.

 

root@Solaris11U1-T5:/opt/SUNWldm/bin#

root@Solaris11U1-T5:/opt/SUNWldm/bin# ldm

Failed to connect to logical domain manager: Connection refused

root@Solaris11U1-T5:/opt/SUNWldm/bin#  svcadm enable svc:/ldoms/ldmd:default

root@Solaris11U1-T5:/opt/SUNWldm/bin# svcs | grep svc:/ldoms/ldmd:default

maintenance    12:22:28 svc:/ldoms/ldmd:default

root@Solaris11U1-T5:/opt/SUNWldm/bin# tail /var/svc/log/ldoms-ldmd\:default.log

[ Sep  3 12:08:35 Disabled. ]

[ Sep  3 12:08:39 Enabled. ]

[ Sep  3 12:08:39 Executing start method ("/opt/SUNWldm/bin/ldmd_start"). ]

Sep 03 12:08:39 fatal error: HV MD unable to assign frag @ 0x0.0x3900000 from free PRI list

[ Sep  3 12:08:41 Method "start" exited with status 95. ]

[ Sep  3 12:22:25 Enabled. ]

[ Sep  3 12:22:25 Rereading configuration. ]

[ Sep  3 12:22:25 Executing start method ("/opt/SUNWldm/bin/ldmd_start"). ]

Sep 03 12:22:25 fatal error: HV MD unable to assign frag @ 0x0.0x3900000 from free PRI list

[ Sep  3 12:22:28 Method "start" exited with status 95. ]

root@Solaris11U1-T5:/opt/SUNWldm/bin#

  • 1. Re: Problems with LDOMs in Solaris 11
    Pascal Kreyer - Oracle Expert
    Currently Being Moderated

    Can you specify which version of Solaris 11 version and which SRU are installed ? And how LDOM software was installed ?

  • 2. Re: Problems with LDOMs in Solaris 11
    69768d81-19e9-4597-ad17-b29f5c618a87 Newbie
    Currently Being Moderated

    OS is Solaris11 U1 GA version

    root@Solaris11U1-T5:/opt/SUNWldm/bin# pkg info entire

              Name: entire

           Summary: Incorporation to lock all system packages to the same build

       Description: This package constrains system package versions to the same

                    build.  WARNING: Proper system update and correct package

                    selection depend on the presence of this incorporation.

                    Removing this package will result in an unsupported system.

          Category: Meta Packages/Incorporations

             State: Installed

         Publisher: solaris

           Version: 0.5.11

    Build Release: 5.11

            Branch: 0.175.1.0.0.24.2

    Packaging Date: Wed Sep 19 19:01:35 2012

              Size: 5.46 kB

              FMRI: pkg://solaris/entire@0.5.11,5.11-0.175.1.0.0.24.2:20120919T190135Z

    root@Solaris11U1-T5:/opt/SUNWldm/bin#

     

     

    LDOM software was installed by pkg install ldomsmanager command

  • 3. Re: Problems with LDOMs in Solaris 11
    Pascal Kreyer - Oracle Expert
    Currently Being Moderated

    The minimum supported version of Solaris is effectively Solaris 11.1 but with SRU 4.6. Please update your machine with this SRU version at least.

  • 4. Re: Problems with LDOMs in Solaris 11
    69768d81-19e9-4597-ad17-b29f5c618a87 Newbie
    Currently Being Moderated

    It worked after upgrading to SRU..

    Thanks!

  • 5. Re: Problems with LDOMs in Solaris 11
    Periketi Prasad Newbie
    Currently Being Moderated

    Hi

    fatal error: HV MD unable to assign frag @ 0x0.0x3900000 from free PRI list)

     

    Nov 14 11:23:21 fatal error: HV MD unable to assign frag @ 0x0.0x3900000 from free PRI list

    [ Nov 14 11:23:24 Method "start" exited with status 95. ]

    [ Nov 14 12:05:42 Enabled. ]

    [ Nov 14 12:05:42 Rereading configuration. ]

     

    root@blrgxr2701:~# pkg info entire

              Name: entire

           Summary: Incorporation to lock all system packages to the same build

       Description: This package constrains system package versions to the same

                    build.  WARNING: Proper system update and correct package

                    selection depend on the presence of this incorporation.

                    Removing this package will result in an unsupported system.

          Category: Meta Packages/Incorporations

             State: Installed

         Publisher: solaris

           Version: 0.5.11

    Build Release: 5.11

            Branch: 0.175.1.0.0.24.2

    Packaging Date: September 19, 2012 07:01:35 PM

              Size: 5.46 kB

              FMRI: pkg://solaris/entire@0.5.11,5.11-0.175.1.0.0.24.2:20120919T190135Z

     

    root@blrgxr2701:~# pkg update --accept

    No updates available for this image.

    root@blrgxr2701:~# pkg update --be-name s11.1sru --accept

    No updates available for this image.

     

     

    Thanks.

    Prasad P.

  • 6. Re: Problems with LDOMs in Solaris 11
    Pascal Kreyer - Oracle Expert
    Currently Being Moderated

    Your T5-2 is certainly not configured with the support repository. Run the command "pkg publisher" and check if the URL is https://pkg.oracle.com/solaris/support.

     

    When not, please go to https://pkg-register.oracle.com/ and follow the procedure when you ask for new Solaris 11 support certificates.

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points